# Class SctpStandardSocketOptions.InitMaxStreams

java.lang.Object
com.sun.nio.sctp.SctpStandardSocketOptions.InitMaxStreams

Enclosing class:
  `SctpStandardSocketOptions`

public static class SctpStandardSocketOptions.InitMaxStreams extends Object
This class is used to set the maximum number of inbound/outbound streams used by the local endpoint during association initialization. An instance of this class is used to set the `SCTP_INIT_MAXSTREAMS` socket option.

Since:
  1.7

## Method Summary

Modifier and Type
Method
Description
`static SctpStandardSocketOptions.InitMaxStreams`
`create(int maxInStreams, int maxOutStreams)`
Creates an InitMaxStreams instance.
`boolean`
`equals(Object obj)`
Returns true if the specified object is another `InitMaxStreams` instance with the same number of in and out bound streams.
`int`
`hashCode()`
Returns a hash code value for this init max streams.
`int`
`maxInStreams()`
Returns the maximum number of inbound streams.
`int`
`maxOutStreams()`
Returns the maximum number of outbound streams.
`String`
`toString()`
Returns a string representation of this init max streams, including the maximum in and out bound streams.

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Method Details

### create

public static SctpStandardSocketOptions.InitMaxStreams create(int maxInStreams, int maxOutStreams)
Creates an InitMaxStreams instance.

Parameters:
  `maxInStreams` - The maximum number of inbound streams, where `0 <= maxInStreams <= 65536`
  `maxOutStreams` - The maximum number of outbound streams, where `0 <= maxOutStreams <= 65536`
Returns:
  An `InitMaxStreams` instance
Throws:
  `IllegalArgumentException` - If an argument is outside of specified bounds

### maxInStreams

public int maxInStreams()
Returns the maximum number of inbound streams.

Returns:
  Maximum inbound streams

### maxOutStreams

public int maxOutStreams()
Returns the maximum number of outbound streams.

Returns:
  Maximum outbound streams

### toString

public String toString()
Returns a string representation of this init max streams, including the maximum in and out bound streams.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this init max streams

### equals

public boolean equals(Object obj)
Returns true if the specified object is another `InitMaxStreams` instance with the same number of in and out bound streams.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - The object to be compared with this init max streams
Returns:
  true if the specified object is another `InitMaxStreams` instance with the same number of in and out bound streams
See Also:
  - `Object.hashCode()`
  - `HashMap`

### hashCode

public int hashCode()
Returns a hash code value for this init max streams.

Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code value for this object
See Also:
  - `Object.equals(java.lang.Object)`
  - `System.identityHashCode(Object)`